DELETE
/model_evaluation/{evaluation_id}/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/model_evaluation/{evaluation_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/gpu/model_evaluation/{evaluation_id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/model_evaluation/{evaluation_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”evaluation_id
required
integer
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
project_id
integer
input_dataset
string
input_dataset_config
object
dataset_path
string
hf_dataset_name
string
custom_hf_dataset_name
string
dataset_split
string
input_column
string
output_column
string
num_rows_limit
integer
dataset_type
string
output_dataset
object
id
integer
name
string
storage_type
string
bucket
object
id
integer
bucket_name
string
bucket_url
string
endpoint
string
framework
object
id
integer
name
string
display_name
string
metrics
Array<object>
object
name
string
display_name
string
evaluator_llm_name
string
evaluation_config
object
temperature
number
max_tokens
integer
top_p
number
status
string
run
object
id
integer
name
string
state
string
progress
string
created_by
object
id
integer
name
string
email
string
message
string
Example
{ "code": 200, "data": { "id": 126, "name": "tir-job-021915025656", "project_id": 4528, "input_dataset": null, "input_dataset_config": { "dataset_path": null, "hf_dataset_name": "GAIR/o1-journey", "custom_hf_dataset_name": "", "dataset_split": "train", "input_column": "question", "output_column": "answer", "num_rows_limit": -1, "dataset_type": "huggingface" }, "output_dataset": { "id": 1617, "name": "async-invocations-02171142022", "storage_type": "managed", "bucket": { "id": 3068, "bucket_name": "d-gpu-6a93eb6a-5a3e-411e-80ec-b91b31e7a93f", "bucket_url": "s3://d-gpu-6a93eb6a-5a3e-411e-80ec-b91b31e7a93f/", "endpoint": "https://objectstore.e2enetworks.net" } }, "framework": { "id": 2, "name": "general_assistant", "display_name": "General Assistant", "metrics": [ { "name": "relevance_metric", "display_name": "Relevance" } ] }, "evaluator_llm_name": "llama3_2_3b_instruct", "evaluation_config": { "temperature": 0, "max_tokens": 1024, "top_p": 1 }, "status": "Deleting", "run": { "id": 2787, "name": "tir-job-021915025656", "state": "Succeeded", "progress": "1/1" }, "created_by": { "id": 4877, "name": "Meghna Meghna", "email": "meghna@e2enetworks.com" } }, "message": "Success"}